package com.ejie.aa94a.model.config;

import java.io.Serializable;
import java.math.BigDecimal;

public class Carga implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer anchuraMin;
	private Integer anchuraMax;
	private BigDecimal pesoMin;
	private BigDecimal pesoMax;
	private Integer diametroExtMin;
	private Integer diametroExtMax;
	private Integer diametroIntMin;
	private Integer diametroIntMax;
	private BigDecimal relacionAnchuraDiametroExt;

	/**
	 * 
	 */
	public Carga() {
		super();
	}

	/**
	 * @param anchuraMin
	 * @param anchuraMax
	 * @param pesoMin
	 * @param pesoMax
	 * @param diametroExtMin
	 * @param diametroExtMax
	 * @param diametroIntMin
	 * @param diametroIntMax
	 * @param relacionAnchuraDiametroExt
	 */
	public Carga(int anchuraMin, int anchuraMax, BigDecimal pesoMin,
			BigDecimal pesoMax, int diametroExtMin, int diametroExtMax,
			int diametroIntMin, int diametroIntMax,
			BigDecimal relacionAnchuraDiametroExt) {
		super();
		this.anchuraMin = anchuraMin;
		this.anchuraMax = anchuraMax;
		this.pesoMin = pesoMin;
		this.pesoMax = pesoMax;
		this.diametroExtMin = diametroExtMin;
		this.diametroExtMax = diametroExtMax;
		this.diametroIntMin = diametroIntMin;
		this.diametroIntMax = diametroIntMax;
		this.relacionAnchuraDiametroExt = relacionAnchuraDiametroExt;
	}

	/**
	 * @return the anchuraMin
	 */
	public int getAnchuraMin() {
		return anchuraMin;
	}

	/**
	 * @param anchuraMin
	 *            the anchuraMin to set
	 */
	public void setAnchuraMin(int anchuraMin) {
		this.anchuraMin = anchuraMin;
	}

	/**
	 * @return the anchuraMax
	 */
	public int getAnchuraMax() {
		return anchuraMax;
	}

	/**
	 * @param anchuraMax
	 *            the anchuraMax to set
	 */
	public void setAnchuraMax(int anchuraMax) {
		this.anchuraMax = anchuraMax;
	}

	/**
	 * @return the pesoMin
	 */
	public BigDecimal getPesoMin() {
		return pesoMin;
	}

	/**
	 * @param pesoMin
	 *            the pesoMin to set
	 */
	public void setPesoMin(BigDecimal pesoMin) {
		this.pesoMin = pesoMin;
	}

	/**
	 * @return the pesoMax
	 */
	public BigDecimal getPesoMax() {
		return pesoMax;
	}

	/**
	 * @param pesoMax
	 *            the pesoMax to set
	 */
	public void setPesoMax(BigDecimal pesoMax) {
		this.pesoMax = pesoMax;
	}

	/**
	 * @return the diametroExtMin
	 */
	public int getDiametroExtMin() {
		return diametroExtMin;
	}

	/**
	 * @param diametroExtMin
	 *            the diametroExtMin to set
	 */
	public void setDiametroExtMin(int diametroExtMin) {
		this.diametroExtMin = diametroExtMin;
	}

	/**
	 * @return the diametroExtMax
	 */
	public int getDiametroExtMax() {
		return diametroExtMax;
	}

	/**
	 * @param diametroExtMax
	 *            the diametroExtMax to set
	 */
	public void setDiametroExtMax(int diametroExtMax) {
		this.diametroExtMax = diametroExtMax;
	}

	/**
	 * @return the diametroIntMin
	 */
	public int getDiametroIntMin() {
		return diametroIntMin;
	}

	/**
	 * @param diametroIntMin
	 *            the diametroIntMin to set
	 */
	public void setDiametroIntMin(int diametroIntMin) {
		this.diametroIntMin = diametroIntMin;
	}

	/**
	 * @return the diametroIntMax
	 */
	public int getDiametroIntMax() {
		return diametroIntMax;
	}

	/**
	 * @param diametroIntMax
	 *            the diametroIntMax to set
	 */
	public void setDiametroIntMax(int diametroIntMax) {
		this.diametroIntMax = diametroIntMax;
	}

	/**
	 * @return the relacionAnchuraDiametroExt
	 */
	public BigDecimal getRelacionAnchuraDiametroExt() {
		return relacionAnchuraDiametroExt;
	}

	/**
	 * @param relacionAnchuraDiametroExt
	 *            the relacionAnchuraDiametroExt to set
	 */
	public void setRelacionAnchuraDiametroExt(
			BigDecimal relacionAnchuraDiametroExt) {
		this.relacionAnchuraDiametroExt = relacionAnchuraDiametroExt;
	}

}
